Page MenuHomePhabricator

Migrate local group names to WikimediaMessages
Open, Needs TriagePublic

Description

When I open this page, I see three user group names not in English, which can be avoided.
Another example is https://www.wikidata.org/w/index.php?title=Special%3APrefixIndex&prefix=group&namespace=8 , moving the translation of property creator group name will make it more easy to translate the group name to other languages, such as Swedish.
Note the actual names of user groups are also a mess (autopatrolled/autopatrol/autoreviewer, eliminator/closer), which is another task.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaMessages : masterAdd messages for propertycreator group
operations/mediawiki-config : masterRename 'technician' to 'interface-editor' on trwiki
operations/mediawiki-config : masterRename 'autopatrol' to 'autopatrolled' on fawiki

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 2 2016, 6:09 PM

List of groups not defined by MediaWiki core and extensions:

1+------------------+---------------+
2| group | wikis |
3+------------------+---------------+
4| autoeditor | bewiki |
5| autoeditor | cewiki |
6| autoeditor | ruwiki |
7| autoeditor | ruwikiquote |
8| autoeditor | ruwikisource |
9| autoeditor | ukwiktionary |
10| autoeditor | vecwiki |
11| autopatrol | fawiki |
12| autoreviewed | mkwiki |
13| closer | ruwiki |
14| curator | enwikiversity |
15| extendedmover | enwiki |
16| facilitator | frwikinews |
17| medlem | sewikimedia |
18| nocreate | tawiki |
19| propertycreator | wikidata |
20| qa_automation | test2wiki |
21| suppressredirect | cewiki |
22| suppressredirect | ckbwiki |
23| suppressredirect | ruwiki |
24| technican | trwikiquote |
25| technician | trwiki |
26| trusteduser | frwikinews |
27+------------------+---------------+

@Bugreporter maybe we should merge some user groups before?

Bugreporter added a comment.EditedJul 4 2016, 2:54 PM

User group merger candidate:

  • autoeditor/autopatrol/autoreviewed/trusteduser: merge to autopatrolled/autoreviewer (probably depending on whether FR is installed?)
  • closer: merge to eliminator
  • technican: misspelling, merge with technician

User group to keep:

  • technician
  • nocreate (users banned from page creation, what's the suitable English name of this group?)
  • propertycreator
  • suppressredirect
  • curator (users with delete, protect and import right)
  • medlem (rename to member?)
  • extendedmover

In dispute:

  • facilitator (users with import, autoreview, review right, merge to editor/reviewer?)

User group (probably) to delete:

  • qa_automation (group with only inactive test user)

Those of "technician" can be merged into "editinterface". As far as I can see the technicians have editinterface rights, and we already have some wikis with the editinterface user group.

MarcoAurelio added a comment.EditedAug 2 2016, 3:14 PM

I think that we should also put an stop on creating exotic usergroups if there's no real need to do so, even if there is local consensus for that. Otherwise we will end creating fancy groups with no real purpose but to create classes of editors. That's harmful, as the project's asset is the content, not a flag-collecting career as some users wrongly think.

There is an agreement to sort between technician / editinterface names? That would be useful to have the definitve one for T144599.

Editinterface is the most used I think. I'd go with editinterface and later we can take care of technicians, renaming them to editinterface.

Change 308281 had a related patch set uploaded (by MarcoAurelio):
Rename 'technican' and 'technician' to 'editinterface'

https://gerrit.wikimedia.org/r/308281

MarcoAurelio added a comment.EditedSep 2 2016, 11:26 PM

Please see https://tools.wmflabs.org/rightstool/cgi-bin/rightsstats for further inconsistencies:

  • fawiki autopatrol should be renamed to autopatrolled
  • mkwiki autoreviewed should be renamed to autoreview
  • autoreviewer rights from enwiki, ptwiki, zhwiki and zh_yue should be renamed to autoreview if the FlaggedRevs extension is still there, otherwise should be removed.

Change 308446 had a related patch set uploaded (by MarcoAurelio):
Rename 'autopatrol' to 'autopatrolled' on fawiki

https://gerrit.wikimedia.org/r/308446

Change 308446 merged by jenkins-bot:
Rename 'autopatrol' to 'autopatrolled' on fawiki

https://gerrit.wikimedia.org/r/308446

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2016-11-07T14:40:12Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Rename 'autopatrol' to 'autopatrolled' on fawiki - T144699 T139246 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2016-11-07T14:42:38Z] <hashar> fawiki: renaming user group 'autopatrol' to 'autopatrolled' for T139246 and T144699 with: mwscript migrateUserGroup.php --wiki=fawiki 'autopatrol' 'autopatrolled'

Change 308281 merged by jenkins-bot:
[operations/mediawiki-config] Rename 'technician' to 'interface-editor' on trwiki

https://gerrit.wikimedia.org/r/308281

Change 371796 had a related patch set uploaded (by Gerrit Patch Uploader; owner: Gerrit Patch Uploader):
[mediawiki/extensions/WikimediaMessages@master] Add messages for propertycreator group

https://gerrit.wikimedia.org/r/371796

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 14 2017, 6:54 AM

Change 371796 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for propertycreator group

https://gerrit.wikimedia.org/r/371796

Meno25 added a subscriber: Meno25.May 31 2019, 9:58 PM